Skip to main content
GET
List Incoming Messages

Authorizations

Authorization
string
header
required

Path Parameters

uid
string<uuid>
required

Schedule unique identifier.

Response

Successful Response

created_ts
string
required

ISO 8601 datetime when this message was received.

Example:

"2026-03-25T14:05:00+00:00"

document_type
string
required

Document kind. ACK (acknowledgement), CNF (confirmation), ANO (anomaly); NL also emits RI / BAL. NA when the kind cannot be derived for the message's broker.

Examples:

"ACK"

"CNF"

"ANO"

"NA"

processing_status
string
required

processed once reconciled against the schedule, else pending.

Examples:

"processed"

"pending"

uid
string
required

Unique identifier for this incoming message.

Example:

"42"

message_id
string | null

The TSO's own identifier for this response message, taken verbatim from the message payload (CIM mRID / ESS MessageIdentification). Never a broker-assigned id.

Example:

"TSO-MSG-20260325-001"

original_message_id
string | null

Identifier of our schedule submission this response refers to.

Example:

"MSG-20260325-001"